Subject: [bug#52977] [PATCH 0/6] Update some minetest packages

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 06 Jan 2022 01:52:53 +0100

Hi,

Am Donnerstag, dem 06.01.2022 um 00:18 +0100 schrieb Maxime Devos:
> Yes, but it has been a while ago so I preferred to not overcomplicate
> the patch series more.  There's also the complication that
> (revision ...) might need to be incremented. Yet another
> complication:
> minetest mods can have two separate version schemes: the
> ‘release titles’ on content.minetest.net, and the version they use in
> forum posts or git repos.  For minetest-ethereal, they are different,
> and worse, the latest version on content.minetest.net doesn't have a
> corresponding version on the forum.
If I recall correctly, this was also a point of debate in the initial
series that added the importer.  Can we establish an ordering/heuristic
here?  E.g. "if we have git tags use those, otherwise use contentdb",
"always use contentdb" or "always use whatever was edited most
recently"?